Last Comment Bug 249338 - progressbar doesn't indicate upload progress
: progressbar doesn't indicate upload progress
Status: REOPENED
[parity-chrome]
: regression, ux-userfeedback
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: Trunk
: All All
: P3 normal with 75 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
: 255014 257975 311428 376319 437880 442034 451822 452269 465217 486647 573334 631839 (view as bug list)
Depends on:
Blocks: 243468
  Show dependency treegraph
 
Reported: 2004-06-30 20:57 PDT by splinter
Modified: 2016-02-21 10:32 PST (History)
63 users (show)
benjamin: blocking1.9.2-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
nsHttpTransaction.cpp (31.69 KB, text/plain)
2004-07-02 06:55 PDT, splinter
no flags Details
Screenshot of Chrome progress upload (19.66 KB, image/png)
2010-06-20 11:00 PDT, Théophile Helleboid
no flags Details
Suggestion : Upload Button (Just like Download Button in UX Builds) (6.93 KB, image/png)
2011-10-05 07:40 PDT, bogas04
no flags Details

Description splinter 2004-06-30 20:57:26 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7) Gecko/20040626 Firefox/0.9.1
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7) Gecko/20040626 Firefox/0.9.1

When uploading with Firefox 0.9 and Firefox 0.9.1 (both clean installs) the
progressbar doesn't "grow". Here are some HTML snipets of several site where I
encountered this problem.

-----------------------------------------------------
<h1>Upload files</h1>
<p><strong>The maximum upload size is 2M.</strong></p>
<form enctype="multipart/form-data" action="/upload.php" method="post">
<table border="0">
	<input type="hidden" name="files" value="1">
	<tr><td align="right">File 1</td><td><input type="file" name="file1"
size="35"></td></tr>
	<tr><td align="right">File 2</td><td><input type="file" name="file2"
size="35"></td></tr>

	<tr><td align="right">File 3</td><td><input type="file" name="file3"
size="35"></td></tr>
	<tr><td align="right">File 4</td><td><input type="file" name="file4"
size="35"></td></tr>	
	<tr><td>&nbsp;</td><td align="right"><input type="submit" value="Upload
Files"></td></tr>
</table></form> 

-----------------------------------------------------

<form name=form method='POST' enctype='multipart/form-data'
action='/cgi-bin/transfertest/httpupload.cgi'>
<table>
<tr><Td>Kies een bestand om te uploaden: </td><td><input type=file
name=upfile></td></tr>
<tr><td colspan=2>&nbsp;</td></tr>
<tr><td align=right><select name=product>
                <option value=none selected> kies uit lijst </option>
                <option value=starter>chello starter</option>

                <option value=entry>chello entry</option>
                <option value=light>chello light</option>
                <option value=classic>chello classic</option>
                <option value=plus>chello plus</option>
                </td><td>&nbsp;&nbsp;Selecteer hier uw chello product
(verplicht)</td></tr>
<tr><td align="right"><input type=text name=postcode size=6
value="XXXXXX"></td><td>&nbsp;&nbsp;Vul hier uw postcode in (verplicht)</td></tr>

<tr><td colspan=2>&nbsp;</td></tr>
<tr><td align=right><input type=submit value=Upload onClick='return
verifyForm()'></td><td>&nbsp;&nbsp;het bestand naar deze server</td></tr>
</table><BR><BR>
<font size="0">Het bestand zal na het uitvoeren van de upload test automatisch
van de server worden verwijderd.</font>
</form>

Reproducible: Always
Steps to Reproduce:
1. go to a site where you can upload some file
2. start upload 
3.

Actual Results:  
everything works fine...except the progressbar doesn't show the progress of the
upload.

Expected Results:  
like previous versions and other browsers like IE the progressbar should
(slowly) "grow" indicating progress of upload.

I have only encountered this problem with sites that use the post method in
combo with enctype multipart/form-data I didn't see or tested other upload
methods/combo's. This problem is with Firefox 0.9 and 0.9.1 only. I used clean
installs, clean profiles.
Comment 1 Jo Hermans 2004-07-01 04:50:21 PDT
I can confirm the bug in Firefox 0.9.1, but I don't have a Mozilla in the office
to compare. I'll later tonight (note to self: landfill #804).

Note: the progressbar was implemented in bug 24197.
Comment 2 Jo Hermans 2004-07-01 13:51:03 PDT
bug also confirmed on Mozilla 1.8a2 on Mac OS X 10.2.8

Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8a2) Gecko/20040701
Comment 3 Robert Parenton 2004-07-01 13:53:43 PDT
(In reply to comment #2)
> bug also confirmed on Mozilla 1.8a2 on Mac OS X 10.2.8
> 
> Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8a2) Gecko/20040701

-> Browser
Comment 4 splinter 2004-07-01 23:16:54 PDT
bug also confirmed on Mozilla 1.7 Mozilla/5.0 (Windows; U; Windows NT 5.1;
en-US; rv:1.7) Gecko/20040616 and on Mozilla 1.8a1 Mozilla/5.0 (Windows; U;
Windows NT 5.1; en-US; rv:1.8a1) Gecko/20040520. Btw on Mozilla Firefox 0.8
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6) Gecko/20040206
Firefox/0.8 the progressbar does work properly. So the bug is both in the trunk
as well as in the AVIARY_1_0_20040515_BRANCH. 





Comment 5 splinter 2004-07-02 06:55:35 PDT
Created attachment 152189 [details]
nsHttpTransaction.cpp

I have marked some changes between nsHttpTransaction.cpp in ff 0.8 and current
branche. The + marked are current changes and the - marked are from the 0.8
branche.

Alas I don't have enough know-how of c++ and mozilla code structure to patch
this bug, but I bet one or more of my - marked lines should be added again.
Comment 6 Matthew Paul Thomas 2004-11-07 18:12:27 PST
*** Bug 257975 has been marked as a duplicate of this bug. ***
Comment 7 Darin Fisher 2004-11-07 21:45:52 PST
-> me
Comment 8 splinter 2004-11-13 13:17:10 PST
also confirmed in Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0
Comment 9 splinter 2005-03-22 09:50:22 PST
also confirmed in User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US;
rv:1.7.6) Gecko/20050223 Firefox/1.0.1
Comment 10 Darin Fisher 2005-10-06 17:36:09 PDT
*** Bug 311428 has been marked as a duplicate of this bug. ***
Comment 11 Sebastian Lisken 2006-07-25 10:33:38 PDT
Confirming with Firefox 1.5.0.4 (en-us) on Windows 2000. I would much like to see this fixed. Thanks.
Comment 12 Daniel Beardsmore 2006-11-20 05:01:28 PST
Please review bugs 349717, 243468, 255014 as duplicates. (These are the obvious ones in a search for "upload progress".)

Despite the various changes listed in the other reports, this issue seemingly remains unresolved for Firefox 2.0 in Microsoft Windows.

This bug is confirmed in 1.5.0.8 (Windows 2000), but for 2.0 (XP) the only case considered so far is eBay and I do not know whether they use POST or something altogether more painful. eBay image upload progress is not indicated at all in Firefox 2.0 itself (but simply by eBay's little floating div), making it impossible to monitor progress or see if the upload has completely stalled. I would imagine that eBay is peforming multiple POSTs, one per image and thus the progress bar should respond, but this is tricky.
Comment 13 Jesse Ruderman 2007-04-03 00:29:49 PDT
*** Bug 376319 has been marked as a duplicate of this bug. ***
Comment 14 Darin Fisher 2007-06-11 00:39:04 PDT
-> reassign to default owner
Comment 15 Thomas Bertels 2007-11-09 15:53:52 PST
*** Bug 255014 has been marked as a duplicate of this bug. ***
Comment 16 Kramer 2007-11-09 15:57:32 PST
I'd like to echo a suggestion given in duplicate Bug 255014 - the progress indicator should reside near, and be linked to, the upload control. In the likely event that a form permits more than one file upload, it would be helpful to see which files (and how much of them) have been uploaded; individually.
Comment 18 Carlo Alberto Ferraris 2008-05-06 11:25:02 PDT
Is this going to be fixed in fx3? There has been no activity in the last few months...
Comment 19 Aaron Lawrence 2008-05-07 07:05:33 PDT
Gawd, the file upload interface is bad enough as it is... having no progress means that there is basically NO feedback at all during an upload. 

In this wonderful new "Web2.0" world, file upload should be a first class citizen but gets no attention for some reason. 

Surely a working progress bar is the least FF could do, like IE...
Comment 20 Jesse Ruderman 2008-06-09 21:24:37 PDT
*** Bug 437880 has been marked as a duplicate of this bug. ***
Comment 21 Thomas Bertels 2008-06-11 00:19:38 PDT
I've been able to track down the regression more precisely.
The culprits are bug 240053 and bug 257308.
The code change involved is

http://bonsai.mozilla.org/cvsblame.cgi?file=/mozilla/uriloader/base/nsDocLoader.cpp&rev=3.296#981 and #982 (2004-04-10 13:03)

and 

http://bonsai.mozilla.org/cvsblame.cgi?file=/mozilla/uriloader/base/nsDocLoader.cpp&rev=3.296#984 to #997 (2004-09-17 13:33)


Darin, do you have any idea about why these broke upload progress, after the years ?
Comment 22 Timwi 2008-06-11 04:16:36 PDT
Maybe we should just implement a *proper* upload progress bar? With an actual percentage displayed, upload speed, and most importantly: estimated time left?...
Comment 23 Thomas Bertels 2008-06-11 04:26:16 PDT
(In reply to comment #22)
> Maybe we should just implement a *proper* upload progress bar? With an actual
> percentage displayed, upload speed, and most importantly: estimated time
> left?...

Why not. After all, upload progress bar is often more reliable than download progress bar (I'm not talking about download manager). But perhaps in a new bug.
Anyway, if/once this bug gets fixed, extensions will be able to improve the upload progress bar in many ways.
Comment 24 Timwi 2008-06-11 11:43:53 PDT
> But perhaps in a new bug.

Uhm, hello? I just filed Bug 437880 for that and it got marked as a duplicate of this.
Comment 25 Aaron Lawrence 2008-06-12 04:11:11 PDT
Tim: Please vote for Bug 243468 which is for an IMPROVED upload progress display.
That's a big job - but just fixing the existing progress bar (this bug) is probably not so big, and would be better than nothing.
Comment 26 Jo Hermans 2008-06-26 07:13:19 PDT
*** Bug 442034 has been marked as a duplicate of this bug. ***
Comment 27 Marius Hudea 2008-07-01 04:07:30 PDT
Just a suggestion.

How about the downloads window be renamed to "Transfers" and show there the file being uploaded and it's progress/status?

Comment 28 Adam Kennedy 2008-08-11 07:20:33 PDT
Confirming bug exists in Firefox 3.0.1.

I can observe it while uploading a large file to the Google Code website.
Comment 29 Jo Hermans 2008-08-23 03:33:20 PDT
*** Bug 451822 has been marked as a duplicate of this bug. ***
Comment 30 Dave Garrett 2008-08-26 11:17:37 PDT
*** Bug 452269 has been marked as a duplicate of this bug. ***
Comment 31 Jo Hermans 2008-11-16 14:31:20 PST
*** Bug 465217 has been marked as a duplicate of this bug. ***
Comment 32 Matthias Versen [:Matti] 2009-04-03 03:39:37 PDT
*** Bug 486647 has been marked as a duplicate of this bug. ***
Comment 33 Dave Garrett 2010-06-20 05:03:10 PDT
*** Bug 573334 has been marked as a duplicate of this bug. ***
Comment 34 Moritz Franckenstein 2010-06-20 10:40:40 PDT
Bug still exists in Firefox 3.6.3 - 6 years have passed by :)

I am against showing the progress in a "transfers" or whatever window. The best place is the status bar. If would be nice to not only have a progress bar, but also some info about size, speed, time, filename...
Comment 35 Théophile Helleboid 2010-06-20 11:00:40 PDT
Created attachment 452585 [details]
Screenshot of Chrome progress upload

Google Chrome implements this feature in the status bar : there is just a percent of the progress ("Transfer in progress (58%)").

There is no speeed, but you can estimate how long the uplaod will take , and you know if the upload is in progress or bugged.

It could be a solution, at least for closing this bug.
Comment 36 Aaron Lawrence 2010-06-21 03:39:07 PDT
It's kind of dull that such a basic thing doesn't work while Mozilla spends Google money on Personas or faster javascript...
Comment 37 bogas04 2010-11-12 09:00:00 PST
is this going to block firefox 4 release?
Comment 38 Bruno Lemos 2011-02-05 13:09:14 PST
UP!!

Please implement it on firefox 4. Status bar need to show at least the percentage of upload progress, like chrome does.

(In reply to comment #35)
> Created attachment 452585 [details]
> Screenshot of Chrome progress upload
> 
> Google Chrome implements this feature in the status bar : there is just a
> percent of the progress ("Transfer in progress (58%)").
> 
> There is no speeed, but you can estimate how long the uplaod will take , and
> you know if the upload is in progress or bugged.
> 
> It could be a solution, at least for closing this bug.
Comment 39 Tim (fmdeveloper) 2011-02-05 15:10:12 PST
*** Bug 631839 has been marked as a duplicate of this bug. ***
Comment 40 Debeet 2011-03-07 07:21:10 PST
This is the fourth generation of Firefox and this little thing hasn't been fixed yet. Please fix it since this bugs a lot of people (source - various blogs).
Comment 41 Fernando Vicente 2011-03-08 07:36:53 PST
I've made an add-on (pure javascript) that displays the upload progress with % and ETA. Is open source and I think it would be great to include it in FF kernel. I can help if you have doubts or suggestions, take a look: https://addons.mozilla.org/en-US/firefox/addon/uploadprogress/
Comment 42 :Ehsan Akhgari (busy, don't ask for review please) 2011-03-09 13:28:49 PST
We're no longer displaying the progress bar in the Firefox UI.  I'm not sure what the UX team's plans are for this feature...
Comment 43 bogas04 2011-03-09 21:33:56 PST
Just like chrome does
Comment 44 Fabri 2011-10-05 07:23:41 PDT
Dear developers,

is it possible to reopen this case to implement this feature into firefox, the best browser in the world?

the 3rd party addons are not reliable...pity...
Comment 45 bogas04 2011-10-05 07:35:28 PDT
I second that :)

Just like our Download Button (UX Builds) We can show an Upward arrow , which would appear only while uploading and would disappear. This wont affect minimalistic design as well as will be informative and efficient.
Comment 46 bogas04 2011-10-05 07:40:06 PDT
Created attachment 564847 [details]
Suggestion : Upload Button (Just like Download Button in UX Builds)

To my previous comment, i made a quick mockup. I also reversed the direction of progress meter (which i dont know why , maybe making it feel as if we are sending it to the web?)
Comment 47 hhaamu 2011-10-06 01:22:16 PDT
(In reply to Fabri from comment #44)
> is it possible to reopen this case to implement this feature into firefox,

This was never closed, AFAICS.

You should instead hope that this feature gets implemented in SeaMonkey. The page-load progress bar is still there in that browser, so it is the path of least resistance.

[sorry for the bugspam]
Comment 48 :Paolo Amadini 2011-10-08 01:26:25 PDT
(In reply to bogas04 from comment #45)
> Just like our Download Button (UX Builds) We can show an Upward arrow ,
> which would appear only while uploading and would disappear.

The key difference between downloads and uploads is that the former are global,
while the latter are tied to a specific tab, and are canceled automatically if
the tab is closed. A global upload indicator that looks like the one for
downloads could create confusion, leading people to think that the tab from
which they started the upload can be closed.

I think that, for large uploads, a progress indication is needed, even better if
the estimated time remaining is shown. It should be tied to the tab, and ideally
visible when switching to other tabs. I'm not sure what the current thinking of
the UX team is on this issue, maybe the dev.usability forum can be a good place
to discuss this in the context of the overall user interface direction.
Comment 49 Fabri 2011-10-08 01:30:53 PDT
In fact i think the best is to tie the upload indicator to the floating status bar, the one that from firefox 4 is on bottom left and indicate the links and the charging status of a page...
Comment 50 :Paolo Amadini 2011-10-08 01:32:28 PDT
(In reply to Fabri from comment #49)
> In fact i think the best is to tie the upload indicator to the floating
> status bar, the one that from firefox 4 is on bottom left and indicate the
> links and the charging status of a page...

Looks good to me :-)
Comment 51 :Paolo Amadini 2011-10-08 01:35:43 PDT
... and even better if we could also show the current progress in a place that is
visible when switching to other tabs. But I'm not a UX specialist :-)
Comment 52 bogas04 2011-10-08 02:08:01 PDT
(In reply to Fabri from comment #49)
> In fact i think the best is to tie the upload indicator to the floating
> status bar, the one that from firefox 4 is on bottom left and indicate the
> links and the charging status of a page...

Like this ? http://s1.postimage.org/6qab7el44/Untitled.png
Comment 53 Fabri 2011-10-08 03:56:02 PDT
this is wonderful!
Comment 54 bogas04 2011-10-08 04:42:32 PDT
(In reply to Fabri from comment #53)
> this is wonderful!

Thank you :) :P mspaint FTW!!! Now lets wait for UX Devs to reply ...
Comment 55 bogas04 2011-10-08 04:43:48 PDT
Wait a second thats how chrome handles uploading status. So is this a parity Chrome now?
Comment 56 Fabri 2011-10-08 04:45:21 PDT
that's true actually...but when something works and it's good, why not to implement it only because it's in chrome...
Comment 57 Alex Faaborg [:faaborg] (Firefox UX) 2011-10-10 12:15:03 PDT
getting a patch in that adds the percentage to the link hover area is fine for now (parity).  Some of the longer term ideas we had were:

-progress bars at the top of the tab that showed both loading and uploading progress (so you could switch to another tab and still monitor when the upload is complete)

-exposing the upload progress with the default file picker using a progress bar below the path text field

-making it easy for web sites to provide their own in content UI for upload feedback (it's my understanding that a lot of sites use flash for this right now?)
Comment 58 bogas04 2012-03-21 06:57:47 PDT
Are there any plans to fix this bug?
Comment 59 Debeet 2012-12-06 21:00:36 PST
Any news on that (as it looks) simple matter?
Comment 60 pawel 2013-09-18 10:29:52 PDT
Firefox nightly 27.0a1 lost progress bar
Comment 61 Sebastian Lisken 2016-01-18 13:11:31 PST
Can you give some explanation why you're closing this bug as "won't fix"? It really doesn't make sense to me why user agents don't display upload progress by default. I do know Upload Progress, but as the developer of a simple file-sharing site (private and for collaboration purposes) I also know how often I need to explain to my users that it should not be the server's task to inform users about the progress of an upload. It's so much more natural for the user agent to do this.
Comment 62 Patrick McManus [:mcmanus] 2016-01-18 13:18:00 PST
as comment 60 says, we've done away with the progress bar even for downloads..
Comment 63 Patrick McManus [:mcmanus] 2016-01-18 13:33:53 PST
there are sufficient transporteventsink events to do this with an addon fwiw..
Comment 64 hhaamu 2016-01-18 23:26:21 PST
May I remind you that this is not filed against Firefox, and there are other Mozilla browsers that still have a progress bar? (SeaMonkey)
Comment 65 Tristan Miller 2016-01-19 00:20:40 PST
Patrick, Core ≠ Firefox.  If this is now purely a UI issue and Firefox developers don't want to implement it, please reopen the bug and reassign it from Core to SeaMonkey.
Comment 66 Sebastian Lisken 2016-01-19 00:50:37 PST
Response to comment 63: Add-ons are not the answer I’m looking for. There already is one that does the job nicely and I mentioned it in my comment 61 – Upload Progress. I should not have assumed people know it. The issue is that people tend to contact me when they’re in the middle of a long upload, and that’s not a good time to tell them to install an add-on. Regarding comment 62, I didn’t know the less in comment 60 is deliberate. I also think it’s a mistake. But even so, it’s still possible to view download progress by opening Tools → Downloads, perhaps an indicator for upload progress should be added there then.
Comment 67 Sebastian Lisken 2016-01-19 00:51:37 PST
Sorry: change "less" to "loss" in my previous comment.
Comment 68 Patrick McManus [:mcmanus] 2016-01-19 06:57:34 PST
(In reply to Tristan Miller from comment #65)
> Patrick, Core ≠ Firefox. 

Core platform decisions do not consider seamonkey or thunderbird. not my decision - but I'm not going to shy away from it. Happy to recategorize the bug as seamonkey though.
Comment 69 Sebastian Lisken 2016-01-19 07:17:18 PST
Well, I see that the issue reported here doesn’t really exist in Firefox anymore. But I do think Firefox should by default have some way of indicating upload progress. (I have nothing against the add-on of the same I mentioned before other than the fact that it should not be necessary to install it.) If this bug is going to be recategorised, can I enter this as a new bug? Would the new bug be considered?
Comment 70 Patrick McManus [:mcmanus] 2016-01-19 07:33:20 PST
I guess you could open a firefox (not core) ui bug - it might get wontfixed tho.
Comment 71 Sebastian Lisken 2016-01-19 08:05:43 PST
Okay, I have now submitted bug 1240781. Please treat it with compassion. :-)

Note You need to log in before you can comment on or make changes to this bug.